#include "GDIP.au3"
#include <GUIConstants.au3>

$hWnd = GUICreate("Example by name22", 400, 400)
GUISetState()

_GDIPlus_Startup()

$hGraphic = _GDIPlus_GraphicsCreateFromHWND($hWnd)

$hImage = _GDIPlus_ImageLoadFromFile(FileOpenDialog("Bild auswhlen", @ScriptDir, "Bilder (*.jpg;*.jpeg;*.png;*.bmp;*.gif)"))
$iWidth = _GDIPlus_ImageGetWidth($hImage)
$iHeight = _GDIPlus_ImageGetHeight($hImage)

$hIA = _GDIPlus_ImageAttributesCreate()

$tMatrix = _GDIPlus_ColorMatrixCreateTranslate(0, 0, 0, -0.5) ;Werte von -1 bis 1 (!)
$pMatrix = DllStructGetPtr($tMatrix)

_GDIPlus_ImageAttributesSetColorMatrix($hIA, 0, True, $pMatrix)

_GDIPlus_GraphicsDrawImageRect($hGraphic, $hImage, 0, 0, 400, 200) ;Zeichnet das Originalbild
_GDIPlus_GraphicsDrawImageRectRectIA($hGraphic, $hImage, 0, 0, $iWidth, $iHeight, 0, 200, 400, 200, $hIA) ;Zeichnet das Bild mit vernderten Attributen

;Aufrumen...
_GDIPlus_ImageAttributesDispose($hIA)
_GDIPlus_GraphicsDispose($hGraphic)
_GDIPlus_ImageDispose($hImage)
_GDIPlus_Shutdown()

Do
Until GUIGetMsg() = $GUI_EVENT_CLOSE